Copy a solution.
Copy a solution along with its datasets, workflow, and reporting nodes. Proxies to Hive's POST /v1/solution/copy/ which only requires SOLUTIONS permission.
POST
/api/solutions/copyBody
namestringrequiredspacestringrequiredprojectstringRequest
curl
curl -X POST https://platform.trickest.com/api/solutions/copy \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
201Solution copied successfully
idstringrequirednamestringrequireddescriptionstringiconstringcolorstringspacestringworkflow_idstringis_publicbooleanauthorstringtagsstring[]created_datestringmodified_datestring400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring